## NMSettingOlpcMesh

NMSettingOlpcMesh

## Functions

GQuark | nm_setting_olpc_mesh_error_quark ()
NMSetting * | nm_setting_olpc_mesh_new ()
const GByteArray * | nm_setting_olpc_mesh_get_ssid ()
guint32 | nm_setting_olpc_mesh_get_channel ()
const GByteArray * | nm_setting_olpc_mesh_get_dhcp_anycast_address ()

## Properties

guint | channel | Read / Write / Construct
GArray_guchar_ * | dhcp-anycast-address | Read / Write
GArray_guchar_ * | ssid | Read / Write

## Types and Values

#define | NM_SETTING_OLPC_MESH_SETTING_NAME
enum | NMSettingOlpcMeshError
#define | NM_SETTING_OLPC_MESH_ERROR
#define | NM_SETTING_OLPC_MESH_SSID
#define | NM_SETTING_OLPC_MESH_CHANNEL
#define | NM_SETTING_OLPC_MESH_DHCP_ANYCAST_ADDRESS

## Object Hierarchy

        GEnum
        ╰── NMSettingOlpcMeshError
        GObject
        ╰── NMSetting
            ╰── NMSettingOlpcMesh

## Description

## Functions

### nm_setting_olpc_mesh_error_quark ()

    GQuark
    nm_setting_olpc_mesh_error_quark (void);

### nm_setting_olpc_mesh_new ()

    NMSetting *
    nm_setting_olpc_mesh_new (void);

Creates a new NMSettingOlpcMesh object with default values.

#### Returns

the new empty NMSettingOlpcMesh object

### nm_setting_olpc_mesh_get_ssid ()

    const GByteArray *
    nm_setting_olpc_mesh_get_ssid (NMSettingOlpcMesh *setting);

### nm_setting_olpc_mesh_get_channel ()

    guint32
    nm_setting_olpc_mesh_get_channel (NMSettingOlpcMesh *setting);

### nm_setting_olpc_mesh_get_dhcp_anycast_address ()

    const GByteArray *
    nm_setting_olpc_mesh_get_dhcp_anycast_address
                                   (NMSettingOlpcMesh *setting);

## Types and Values

### NM_SETTING_OLPC_MESH_SETTING_NAME

    #define NM_SETTING_OLPC_MESH_SETTING_NAME "802-11-olpc-mesh"

### enum NMSettingOlpcMeshError

#### Members

NM_SETTING_OLPC_MESH_ERROR_UNKNOWN | unknown or unclassified error |
NM_SETTING_OLPC_MESH_ERROR_INVALID_PROPERTY | the property was invalid |
NM_SETTING_OLPC_MESH_ERROR_MISSING_PROPERTY | the property was missing and is required |

### NM_SETTING_OLPC_MESH_ERROR

    #define NM_SETTING_OLPC_MESH_ERROR nm_setting_olpc_mesh_error_quark ()

### NM_SETTING_OLPC_MESH_SSID

    #define NM_SETTING_OLPC_MESH_SSID                 "ssid"

### NM_SETTING_OLPC_MESH_CHANNEL

    #define NM_SETTING_OLPC_MESH_CHANNEL              "channel"

### NM_SETTING_OLPC_MESH_DHCP_ANYCAST_ADDRESS

    #define NM_SETTING_OLPC_MESH_DHCP_ANYCAST_ADDRESS "dhcp-anycast-address"

## Property Details

### The `“channel”` property

      “channel”                  guint

Channel on which the mesh network to join is located.

Owner: NMSettingOlpcMesh

Flags: Read / Write / Construct

Default value: 0

### The `“dhcp-anycast-address”` property

      “dhcp-anycast-address”     GArray_guchar_ *

Anycast DHCP MAC address used when requesting an IP address via DHCP. The specific anycast address used determines which DHCP server class answers the request.

Owner: NMSettingOlpcMesh

Flags: Read / Write

### The `“ssid”` property

      “ssid”                     GArray_guchar_ *

SSID of the mesh network to join.

Owner: NMSettingOlpcMesh

Flags: Read / Write